'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addPublicationToRole = exports.addMethodToRole = exports.removeUserFromRole = exports.addUserToRole = exports.addRole = exports.removePublication = exports.addPublication = exports.removeMethod = exports.addMethod = undefined;
exports.init = init;

var _method = require('./method.js');

Object.defineProperty(exports, 'addMethod', {
  enumerable: true,
  get: function get() {
    return _method.addMethod;
  }
});
Object.defineProperty(exports, 'removeMethod', {
  enumerable: true,
  get: function get() {
    return _method.removeMethod;
  }
});

var _publication = require('./publication.js');

Object.defineProperty(exports, 'addPublication', {
  enumerable: true,
  get: function get() {
    return _publication.addPublication;
  }
});
Object.defineProperty(exports, 'removePublication', {
  enumerable: true,
  get: function get() {
    return _publication.removePublication;
  }
});

var _roles = require('./roles.js');

Object.defineProperty(exports, 'addRole', {
  enumerable: true,
  get: function get() {
    return _roles.addRole;
  }
});
Object.defineProperty(exports, 'addUserToRole', {
  enumerable: true,
  get: function get() {
    return _roles.addUserToRole;
  }
});
Object.defineProperty(exports, 'removeUserFromRole', {
  enumerable: true,
  get: function get() {
    return _roles.removeUserFromRole;
  }
});
Object.defineProperty(exports, 'addMethodToRole', {
  enumerable: true,
  get: function get() {
    return _roles.addMethodToRole;
  }
});
Object.defineProperty(exports, 'addPublicationToRole', {
  enumerable: true,
  get: function get() {
    return _roles.addPublicationToRole;
  }
});

var _hook = require('./hook.js');

require('./ensureIndex.js');

function init() {
  if (typeof Meteor === 'undefined') {
    console.error('meteor-abac can only be used in a Meteor project');
    return;
  }

  (0, _hook.hook)();
}